Mailinglist Archive: opensuse-bugs (5295 mails)

< Previous Next >
[Bug 851786] New: YaST2 GTK sw_single fails to update repositories because of IPv6
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Fri, 22 Nov 2013 09:16:53 +0000
  • Message-id: <bug-851786-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=851786

https://bugzilla.novell.com/show_bug.cgi?id=851786#c0


Summary: YaST2 GTK sw_single fails to update repositories
because of IPv6
Classification: openSUSE
Product: openSUSE 13.1
Version: Final
Platform: x86-64
OS/Version: openSUSE 13.1
Status: NEW
Severity: Normal
Priority: P5 - None
Component: YaST2
AssignedTo: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
ReportedBy: Rainer.Koenig@xxxxxxxxxxxxxx
QAContact: jsrain@xxxxxxxx
Found By: ---
Blocker: ---


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:20.0) Gecko/20100101
Firefox/20.0 Iceweasel/20.0

Machine is behind a corporate firewall and so the policy is to go through a
http-proxy to access the internet.

On starup of Yast2 software management the process of updating repositories
fails. Details show that the update tries to connect to an IPv6 address instead
of going through the IPv4 configured proxy.

Same machine has no problems to update the repos with zypper. Its only the GUI
that fails, even after turning off IPv6 in the global LAN settings.

Reproducible: Always

Steps to Reproduce:
1. Install openSUSE 13.1
2. Open Yast2 Software management
3. Get the error that online repositories can't get updated
Actual Results:
Dialog box complaining about connection problems.
Connection is tried via IPv6 which doesn't work due to firewall policy.

Expected Results:
Update should work using the configured proxy servers and IPv4.

Workaround: Use zypper from a terminal window. Zypper doesn't have this
problem.

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >